Get a specific external knowledge
curl --request GET \
--url https://myorg.tribalhabits.com/papi/external_knowledges/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://myorg.tribalhabits.com/papi/external_knowledges/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://myorg.tribalhabits.com/papi/external_knowledges/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://myorg.tribalhabits.com/papi/external_knowledges/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://myorg.tribalhabits.com/papi/external_knowledges/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://myorg.tribalhabits.com/papi/external_knowledges/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": 12345,
"knowledge_type": 1,
"title": "title1",
"code": "code1",
"provider": "prov1",
"date_obtained": "2021-06-01",
"certificate_number": "CI1",
"country_obtained": "AU",
"state_obtained": "NSW",
"expires": null,
"qualification_level": null,
"assessment_score": 1,
"total_time": 2,
"notes": "Notes",
"klass": "ClassA",
"created_at": "2019-08-08T15:51:31.424+10:00",
"updated_at": "2020-01-22T14:38:39.099+11:00",
"development_focus": null
}"not found"{
"error": "Rate limit exceeded. Please slow down.",
"retry_after_seconds": 23
}External Knowledge
Get a specific external knowledge
This endpoint retrieves a specific external knowledge record.
id is the unique identifier of an external knowledge record.
Returns 404 if the record does not exist.
GET
https://myorg.tribalhabits.com/papi
/
external_knowledges
/
{id}
Get a specific external knowledge
curl --request GET \
--url https://myorg.tribalhabits.com/papi/external_knowledges/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://myorg.tribalhabits.com/papi/external_knowledges/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://myorg.tribalhabits.com/papi/external_knowledges/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://myorg.tribalhabits.com/papi/external_knowledges/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://myorg.tribalhabits.com/papi/external_knowledges/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://myorg.tribalhabits.com/papi/external_knowledges/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": 12345,
"knowledge_type": 1,
"title": "title1",
"code": "code1",
"provider": "prov1",
"date_obtained": "2021-06-01",
"certificate_number": "CI1",
"country_obtained": "AU",
"state_obtained": "NSW",
"expires": null,
"qualification_level": null,
"assessment_score": 1,
"total_time": 2,
"notes": "Notes",
"klass": "ClassA",
"created_at": "2019-08-08T15:51:31.424+10:00",
"updated_at": "2020-01-22T14:38:39.099+11:00",
"development_focus": null
}"not found"{
"error": "Rate limit exceeded. Please slow down.",
"retry_after_seconds": 23
}Authorizations
Your organisation's API key, sent as Authorization: my_api_key. The key can also be passed as an api_key query parameter. See Authentication.
Path Parameters
Response
The external knowledge record
Unique identifier of the external knowledge record, used with show and update
1 = Training, 2 = Certificate, 3 = Qualification, 4 = License, 5 = Document, 6 = Development Plan
Available options:
1, 2, 3, 4, 5, 6 Code for the knowledge. For Documents this holds the document type, and for Development Plans the stage
Date in the form 'yyyy-mm-dd'
State or region code
Date in the form 'yyyy-mm-dd'
Class of knowledge

